/events/{event_code}/registrations/{registration_id}/files

This endpoint accepts file uploads for the specified event registration. You can PUT to this endpoint once for each file upload field on your registration form by passing different fieldLabel values. Subsequent PUTs for the same fieldLabel will overwrite the previously uploaded file. If your client does not automatically do so, ensure you've included the file name in the Content-Disposition header (example: Content-Disposition: form-data; name="fieldLabel"; filename="profile_pic.png").

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Path Params
string
required

A hashid that identifies the event (format: string matching ^[a-zA-Z0-9]$, at least 5 characters)

int64
required

The registration's unique identifier

Body Params
string
required

The label of the registration form field this file will be uploaded for.

file
required

The file data to create/update. See your registration form for supported file types. Max file size is 8MB.

Headers
string
required

A bearer token retrieved using your client_id and client_secret.

Responses
200

Successfully updated response

201

Successfully created response

400

Bad request

401

The request contained an invalid token or none at all.

403

Token is not permitted to access this resource.

404

Resource requested could not be found.

415

Missing or incorrect Content-type header; this endpoint accepts only multipart/form-data.

Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here!